Skip to content

Debt

Read a loan’s debt schedule (read-only)

List loan debt schedule

Request

List a loan's debt schedule (read-only). Debt records are synced from the loan's components/underwriting data and are not editable row-by-row via the API; money is in whole cents and bpsInterestRate is in basis points.

Security
ApiKeyAuth
Path
idstringrequired
curl -i -X GET \
  'https://api.pioneerft.com/api/public/v1/loans/{id}/debt' \
  -H 'Authorization: Bearer <YOUR_API Key_HERE>'

Responses

Loan debt schedule

Bodyapplication/json
dataArray of objects(PublicDebt)
Response
{ "data": [ { "id": "string", "loanId": "string", "creditorName": "string", "debtType": "string", "centsOutstandingBalance": -9007199254740991, "centsPaymentAmount": -9007199254740991, "paymentFrequency": "string", "bpsInterestRate": -9007199254740991, "isRefinanced": true, "isSecuredByCollateral": true } ] }